dane_state_init(3)

NAME
dane_state_init - API function

SYNOPSIS
#include <gnutls/dane.h>

int dane_state_init(dane_state_t * s, unsigned int flags);

ARGUMENTS

dane_state_t * s
    The structure to be initialized

unsigned int flags
    flags from the dane_state_flags enumeration

DESCRIPTION
This function will initialize the backend resolver. It is intended to be used in scenarios where multiple resolvings occur, to optimize against multiple re-initializations.

RETURNS
On success, DANE_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/